Withdrawals
Fetch the status and other details of a withdrawal
Path parameters
burnTxidstringRequiredPattern:
The withdrawal transaction ID
^0x[0-9a-fA-F]*$eventIndexstringRequiredPattern:
The event index of the print event in the transaction that includes details of the withdrawal
^(?:(?!^-0$)-?(?:(?:0|[1-9]\d*)))$Responses
200
Response for status 200
application/json
burnTxidstringRequired
createdAtstringRequired
eventIndexnumberRequired
withdrawalIdstringRequired
404
Response for status 404
text/plain
get/{networkStr}/withdrawals/{burnTxid}/{eventIndex}
GET /{networkStr}/withdrawals/{burnTxid}/{eventIndex} HTTP/1.1
Host: api.usdc-on-stacks.com
Accept: */*
{
"burnEventData": {
"amount": "text",
"nativeDomain": "text",
"nativeRecipient": "text",
"sender": "text",
"topic": null
},
"burnIntent": {
"maxBlockHeight": "text",
"maxFee": "text",
"spec": {
"destinationCaller": "text",
"destinationContract": "text",
"destinationDomain": 1,
"destinationRecipient": "text",
"destinationToken": "text",
"hookData": {
"forwardingCalldata": "text",
"forwardingContractAddress": "text",
"remoteDepositor": "text",
"remoteDomain": 1,
"remoteToken": "text"
},
"salt": "text",
"sourceContract": "text",
"sourceDepositor": "text",
"sourceDomain": 1,
"sourceSigner": "text",
"sourceToken": "text",
"value": "text",
"version": 1
}
},
"burnTxid": "text",
"circleResponse": {
"burnTxId": "text",
"status": null,
"transferSpecHashes": [
"text"
],
"useCircleForwarding": true,
"withdrawalId": "text",
"attestation": "text",
"attestationPayload": "text",
"failureReason": "text",
"transactionHash": "text"
},
"circleStatus": {
"burnTxId": "text",
"status": null,
"transferSpecHashes": [
"text"
],
"useCircleForwarding": true,
"withdrawalId": "text",
"attestation": "text",
"attestationPayload": "text",
"failureReason": "text",
"transactionHash": "text"
},
"createdAt": "text",
"eventIndex": 1,
"withdrawalId": "text"
}Last updated
Was this helpful?